source /usr/share/cachyos-fish-config/cachyos-config.fish

alias ll='ls --color=auto'

# Git Aliases
alias ga='git add'
alias gaa='git add .'
alias gb='git branch'
alias gc='git clone'
alias gcb='git checkout -b'
alias gco='git checkout'
alias gcmsg='gft -m'
alias gd='git diff'
alias gf='git fetch'
alias gl='git pull'
alias gp='git push'
alias gpu='git push -u origin $(git branch --show-current)'
alias grs='git restore --staged'
alias gst='git status'
alias gwa='gft -i'
alias gwr='gft -r'

export SSH_AUTH_SOCK=$(gpgconf --list-dirs agent-ssh-socket)

function fish_greeting
end

